<template>
    <div class="flex flex-row items-center">
        <inputt ref="searchinput" iclass="border-none" class="inline-flex flex-1" @input="$emit('input', $event)" :value="query" placeholder="Search your tasks" type="text"></inputt>
        <i v-if="query.length > 0" @click="$emit('input', ''); focus()" class="hero x solid text-gray-700 clickable-bg rounded-full p-2 -m-2"></i>
    </div>
</template>

<script lang=ts>
import Inputt from '@/components/Inputt.vue'
import { onMounted, ref } from 'vue'

export default {
    components: { Inputt },
    emits: ['input'],
    props: {
        query: {
            type: String,
            required: true,
        }
    },
    setup(props) {
        const searchinput = ref<HTMLElement | null>(null)
        const focus = () => searchinput.value!.focus()

        onMounted(focus)

        return {
            searchinput,
            focus,
        }
    },
}
</script>